## org.apache.batik.parser
Interface AngleHandler

All Known Implementing Classes:
  DefaultAngleHandler

public interface AngleHandler

This interface must be implemented and then registred as the handler of a `AngleParser` instance in order to be notified of parsing events.

Method Summary
`void` `angleValue(float v)` Invoked when a float value has been parsed.
`void` `deg()` Invoked when 'deg' has been parsed.
`void` `endAngle()` Invoked when the angle attribute parsing ends.
`void` `grad()` Invoked when 'grad' has been parsed.
`void` `rad()` Invoked when 'rad' has been parsed.
`void` `startAngle()` Invoked when the angle attribute parsing starts.

Method Detail

### startAngle

    public void startAngle()
                    throws ParseException

  Invoked when the angle attribute parsing starts.

  Throws:
    `ParseException` - if an error occured while processing the angle

### angleValue

    public void angleValue(float v)
                    throws ParseException

  Invoked when a float value has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### deg

    public void deg()
             throws ParseException

  Invoked when 'deg' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### grad

    public void grad()
              throws ParseException

  Invoked when 'grad' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### rad

    public void rad()
             throws ParseException

  Invoked when 'rad' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### endAngle

    public void endAngle()
                  throws ParseException

  Invoked when the angle attribute parsing ends.

  Throws:
    `ParseException` - if an error occured while processing the angle

Copyright © 2004 Apache Software Foundation. All Rights Reserved.